> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# DepositEvenly

> DepositEvenly is called by the bidder node to deposit a total amount evenly across multiple providers.



## OpenAPI

````yaml /v1.2.x/api-reference/bidder-openapi-spec.json post /v1/bidder/deposit_evenly
openapi: 3.0.0
info:
  title: Bidder API
  version: 1.2.0-oas3
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/bidder/deposit_evenly:
    post:
      summary: DepositEvenly
      description: >-
        DepositEvenly is called by the bidder node to deposit a total amount
        evenly across multiple providers.
      operationId: Bidder_DepositEvenly
      parameters:
        - name: totalAmount
          description: Total amount of ETH to be deposited in wei.
          in: query
          required: false
          schema:
            type: string
            pattern: '[0-9]+'
        - name: providers
          description: Provider Ethereum addresses.
          in: query
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1DepositEvenlyResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1DepositEvenlyResponse:
      type: object
      properties:
        providers:
          type: array
          items:
            type: string
        amounts:
          type: array
          items:
            type: string
      description: Deposits some amount of ETH evenly across multiple providers.
      title: Deposit evenly response
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````